Bug 523223 - Initscript: ipmidetectd and bmc-watchdog dead not reported
Summary: Initscript: ipmidetectd and bmc-watchdog dead not reported
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipmi
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:15 UTC by Petr Šplíchal
Modified: 2016-06-01 01:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 09:48:49 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2009-09-14 14:15:46 UTC
Program is dead and /var/lock lock file exists is not reported:

# service freeipmi-ipmidetectd stop
Shutting down ipmidetectd:                                 [  OK  ]
# touch /var/lock/subsys/freeipmi-ipmidetectd 
# service freeipmi-ipmidetectd status

Actual results:
ipmidetectd is stopped
# echo $?
0

Expected results:
program is dead and /var/lock lock file exists
# echo $?
2

Comment 1 Petr Šplíchal 2009-09-14 14:23:00 UTC
The same applies to freeipmi-bmc-watchdog script.

Comment 2 Jan Safranek 2009-09-24 06:29:37 UTC
the status() function from /etc/init.d/functions is not happy with the lockfile and daemon binary having different name (freeipmi-ipmidetectd vs ipmidetectd) and reports misleading error codes.

I've sent few patches upstream to fix this (and other initscript problems):
http://lists.gnu.org/archive/html/freeipmi-devel/2009-09/msg00001.html

Comment 3 Jan Safranek 2009-10-02 09:48:49 UTC
Patches were accepted and they should be part of upcoming freeipmi-0.8.1 release.


Note You need to log in before you can comment on or make changes to this bug.